export declare class Menu {
    id: string;
    defaultNode: string;
    outlookView: boolean;
    title: string;
    windowMask: any;
    windowMaskTable: any;
    level: string;
    icon: string;
    folders: Folder[];
    constructor(id?: string, defaultNode?: string, outlookView?: boolean, title?: string, windowMask?: any, windowMaskTable?: any, level?: string, icon?: string, folders?: Folder[]);
}
export declare class Folder {
    type: number | string;
    name: string;
    title: string;
    icon: string;
    showRecordsCount: boolean;
    renderRootFolder: boolean;
    dynamicTreeOptions: any;
    count: number | string;
    window: any;
    folders: Folder[];
    model: {
        form: string;
        inputFilterField: string;
        readonly: boolean;
        table: string;
    };
    constructor(type?: number | string, name?: string, title?: string, icon?: string, showRecordsCount?: boolean, renderRootFolder?: boolean, dynamicTreeOptions?: any, count?: number | string, window?: any, folders?: Folder[], model?: {
        form: string;
        inputFilterField: string;
        readonly: boolean;
        table: string;
    });
}
