import { Breadcrumbps } from './breadcrumbs';
import { ComponentConfig } from './componentConfig';
import { Dock } from './dock';
import { FormGroup } from '@angular/forms';
export declare class Task {
    breadcrumbps: Breadcrumbps;
    clientComponent: string;
    componentConfig: ComponentConfig;
    dockedItems: Dock[];
    processInstanceId: string;
    processName: string;
    stateId: string;
    status: number;
    taskId: string;
    componentClassName: string;
    static TASK_DONE_STATUS: number;
    constructor(breadcrumbps?: Breadcrumbps, clientComponent?: string, componentConfig?: ComponentConfig, dockedItems?: Dock[], processInstanceId?: string, processName?: string, stateId?: string, status?: number, taskId?: string, componentClassName?: string);
}
export declare class FVDoneResponse {
    done: boolean;
    close: boolean;
    data: Object;
    action: string;
    group: FormGroup;
    constructor(done?: boolean, close?: boolean, data?: Object, action?: string, group?: FormGroup);
}
