import { EventEmitter } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';
import { ApiService } from './api.service';
import { Lang, FVEnviroment } from '../models';
export declare class LanguageService {
    private enviroment;
    private translate;
    private apiService;
    defaultLanguage: Lang;
    languageChanged: EventEmitter<Lang>;
    private _firstTime;
    private _languages;
    private _language;
    private _translations;
    constructor(enviroment: FVEnviroment, translate: TranslateService, apiService: ApiService);
    loadSavedLanguage(): any;
    getTranslate(key?: string): Promise<{}>;
    addTranslate(langCode: string, transation: Object): void;
    readonly languages: Promise<Lang[]>;
    language: Lang;
    private setupLanguage(lang);
}
