import { EventEmitter } from '@angular/core';
export declare class StorageService {
    private _storage;
    private _inProgress;
    constructor();
    get(key: string): any;
    set(key: string, value: any): void;
    remove(key: string): void;
    removeMatched(match: string): void;
    clearCache(): void;
    protected getProgress(key: string): EventEmitter<any> | undefined | null;
    protected deleteProgress(key: string): void;
    protected setProgress(key: string): void;
}
